SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (File Transfer/Sharing)  >   Samba Vendors:   Samba.org
(Red Hat Issues Fix) Samba smbd Processing Flaw Lets Remote Authenticated Users Deny Service
SecurityTracker Alert ID:  1023081
SecurityTracker URL:  http://securitytracker.com/id/1023081
CVE Reference:   CVE-2009-2906   (Links to External Site)
Date:  Oct 27 2009
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): versions prior to 3.0.37, 3.2.15, 3.3.8, 3.4.2
Description:   A vulnerability was reported in Samba. A remote authenticated user can cause denial of service conditions.

A remote authenticated user can send a specially crafted reply to an oplock break notification to cause the target smbd service to enter an infinite loop and consume excessive CPU resources.

Tim Prouty, Isilon, and the Samba Team reported this vulnerability.

Impact:   A remote authenticated user can cause the target smbd service to enter an infinite loop and consume excessive CPU resources.
Solution:   Red Hat has released a fix.

The Red Hat advisory is available at:

https://rhn.redhat.com/errata/RHSA-2009-1528.html

Vendor URL:  samba.org/samba/security/CVE-2009-2906.html (Links to External Site)
Cause:   State error
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  3

Message History:   This archive entry is a follow-up to the message listed below.
Oct 1 2009 Samba smbd Processing Flaw Lets Remote Authenticated Users Deny Service



 Source Message Contents

Subject:  [RHSA-2009:1528-01] Moderate: samba security and bug fix update


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: samba security and bug fix update
Advisory ID:       RHSA-2009:1528-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2009-1528.html
Issue date:        2009-10-27
CVE Names:         CVE-2009-2906 
=====================================================================

1. Summary:

Updated samba packages that fix a security issue and a bug are now
available for Red Hat Enterprise Linux 3.

This update has been rated as having moderate security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Desktop version 3 - i386, x86_64
Red Hat Enterprise Linux AS version 3 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux ES version 3 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 3 - i386, ia64, x86_64

3. Description:

Samba is a suite of programs used by machines to share files, printers, and
other information.

A denial of service flaw was found in the Samba smbd daemon. An
authenticated, remote user could send a specially-crafted response that
would cause an smbd child process to enter an infinite loop. An
authenticated, remote user could use this flaw to exhaust system resources
by opening multiple CIFS sessions. (CVE-2009-2906)

This update also fixes the following bug:

* the RHSA-2007:0354 update added code to escape input passed to scripts
that are run by Samba. This code was missing "c" from the list of valid
characters, causing it to be escaped. With this update, the previous patch
has been updated to include "c" in the list of valid characters.
(BZ#242754)

Users of Samba should upgrade to these updated packages, which contain a
backported patch to correct this issue. After installing this update,
the smb service will be restarted automatically.

4. Solution:

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied.

This update is available via Red Hat Network.  Details on how to use
the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

242754 - Missing character bug in latest security patches
526645 - CVE-2009-2906 samba: infinite loop flaw in smbd on unexpected oplock break notification reply

6. Package List:

Red Hat Enterprise Linux AS version 3:

Source:
ftp://updates.redhat.com/enterprise/3AS/en/os/SRPMS/samba-3.0.9-1.3E.16.src.rpm

i386:
samba-3.0.9-1.3E.16.i386.rpm
samba-client-3.0.9-1.3E.16.i386.rpm
samba-common-3.0.9-1.3E.16.i386.rpm
samba-debuginfo-3.0.9-1.3E.16.i386.rpm
samba-swat-3.0.9-1.3E.16.i386.rpm

ia64:
samba-3.0.9-1.3E.16.i386.rpm
samba-3.0.9-1.3E.16.ia64.rpm
samba-client-3.0.9-1.3E.16.ia64.rpm
samba-common-3.0.9-1.3E.16.i386.rpm
samba-common-3.0.9-1.3E.16.ia64.rpm
samba-debuginfo-3.0.9-1.3E.16.i386.rpm
samba-debuginfo-3.0.9-1.3E.16.ia64.rpm
samba-swat-3.0.9-1.3E.16.ia64.rpm

ppc:
samba-3.0.9-1.3E.16.ppc.rpm
samba-3.0.9-1.3E.16.ppc64.rpm
samba-client-3.0.9-1.3E.16.ppc.rpm
samba-common-3.0.9-1.3E.16.ppc.rpm
samba-common-3.0.9-1.3E.16.ppc64.rpm
samba-debuginfo-3.0.9-1.3E.16.ppc.rpm
samba-debuginfo-3.0.9-1.3E.16.ppc64.rpm
samba-swat-3.0.9-1.3E.16.ppc.rpm

s390:
samba-3.0.9-1.3E.16.s390.rpm
samba-client-3.0.9-1.3E.16.s390.rpm
samba-common-3.0.9-1.3E.16.s390.rpm
samba-debuginfo-3.0.9-1.3E.16.s390.rpm
samba-swat-3.0.9-1.3E.16.s390.rpm

s390x:
samba-3.0.9-1.3E.16.s390.rpm
samba-3.0.9-1.3E.16.s390x.rpm
samba-client-3.0.9-1.3E.16.s390x.rpm
samba-common-3.0.9-1.3E.16.s390.rpm
samba-common-3.0.9-1.3E.16.s390x.rpm
samba-debuginfo-3.0.9-1.3E.16.s390.rpm
samba-debuginfo-3.0.9-1.3E.16.s390x.rpm
samba-swat-3.0.9-1.3E.16.s390x.rpm

x86_64:
samba-3.0.9-1.3E.16.i386.rpm
samba-3.0.9-1.3E.16.x86_64.rpm
samba-client-3.0.9-1.3E.16.x86_64.rpm
samba-common-3.0.9-1.3E.16.i386.rpm
samba-common-3.0.9-1.3E.16.x86_64.rpm
samba-debuginfo-3.0.9-1.3E.16.i386.rpm
samba-debuginfo-3.0.9-1.3E.16.x86_64.rpm
samba-swat-3.0.9-1.3E.16.x86_64.rpm

Red Hat Desktop version 3:

Source:
ftp://updates.redhat.com/enterprise/3desktop/en/os/SRPMS/samba-3.0.9-1.3E.16.src.rpm

i386:
samba-3.0.9-1.3E.16.i386.rpm
samba-client-3.0.9-1.3E.16.i386.rpm
samba-common-3.0.9-1.3E.16.i386.rpm
samba-debuginfo-3.0.9-1.3E.16.i386.rpm
samba-swat-3.0.9-1.3E.16.i386.rpm

x86_64:
samba-3.0.9-1.3E.16.i386.rpm
samba-3.0.9-1.3E.16.x86_64.rpm
samba-client-3.0.9-1.3E.16.x86_64.rpm
samba-common-3.0.9-1.3E.16.i386.rpm
samba-common-3.0.9-1.3E.16.x86_64.rpm
samba-debuginfo-3.0.9-1.3E.16.i386.rpm
samba-debuginfo-3.0.9-1.3E.16.x86_64.rpm
samba-swat-3.0.9-1.3E.16.x86_64.rpm

Red Hat Enterprise Linux ES version 3:

Source:
ftp://updates.redhat.com/enterprise/3ES/en/os/SRPMS/samba-3.0.9-1.3E.16.src.rpm

i386:
samba-3.0.9-1.3E.16.i386.rpm
samba-client-3.0.9-1.3E.16.i386.rpm
samba-common-3.0.9-1.3E.16.i386.rpm
samba-debuginfo-3.0.9-1.3E.16.i386.rpm
samba-swat-3.0.9-1.3E.16.i386.rpm

ia64:
samba-3.0.9-1.3E.16.i386.rpm
samba-3.0.9-1.3E.16.ia64.rpm
samba-client-3.0.9-1.3E.16.ia64.rpm
samba-common-3.0.9-1.3E.16.i386.rpm
samba-common-3.0.9-1.3E.16.ia64.rpm
samba-debuginfo-3.0.9-1.3E.16.i386.rpm
samba-debuginfo-3.0.9-1.3E.16.ia64.rpm
samba-swat-3.0.9-1.3E.16.ia64.rpm

x86_64:
samba-3.0.9-1.3E.16.i386.rpm
samba-3.0.9-1.3E.16.x86_64.rpm
samba-client-3.0.9-1.3E.16.x86_64.rpm
samba-common-3.0.9-1.3E.16.i386.rpm
samba-common-3.0.9-1.3E.16.x86_64.rpm
samba-debuginfo-3.0.9-1.3E.16.i386.rpm
samba-debuginfo-3.0.9-1.3E.16.x86_64.rpm
samba-swat-3.0.9-1.3E.16.x86_64.rpm

Red Hat Enterprise Linux WS version 3:

Source:
ftp://updates.redhat.com/enterprise/3WS/en/os/SRPMS/samba-3.0.9-1.3E.16.src.rpm

i386:
samba-3.0.9-1.3E.16.i386.rpm
samba-client-3.0.9-1.3E.16.i386.rpm
samba-common-3.0.9-1.3E.16.i386.rpm
samba-debuginfo-3.0.9-1.3E.16.i386.rpm
samba-swat-3.0.9-1.3E.16.i386.rpm

ia64:
samba-3.0.9-1.3E.16.i386.rpm
samba-3.0.9-1.3E.16.ia64.rpm
samba-client-3.0.9-1.3E.16.ia64.rpm
samba-common-3.0.9-1.3E.16.i386.rpm
samba-common-3.0.9-1.3E.16.ia64.rpm
samba-debuginfo-3.0.9-1.3E.16.i386.rpm
samba-debuginfo-3.0.9-1.3E.16.ia64.rpm
samba-swat-3.0.9-1.3E.16.ia64.rpm

x86_64:
samba-3.0.9-1.3E.16.i386.rpm
samba-3.0.9-1.3E.16.x86_64.rpm
samba-client-3.0.9-1.3E.16.x86_64.rpm
samba-common-3.0.9-1.3E.16.i386.rpm
samba-common-3.0.9-1.3E.16.x86_64.rpm
samba-debuginfo-3.0.9-1.3E.16.i386.rpm
samba-debuginfo-3.0.9-1.3E.16.x86_64.rpm
samba-swat-3.0.9-1.3E.16.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and 
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2906
http://www.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is <secalert@redhat.com>.  More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2009 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFK5yo+XlSAg2UNWIIRAi1HAJ438qrapO/8ZnyFgcAlGRXOXPCARACcDuV0
NNdm+VfHAeKVS1ykNY4h1sU=
=iNyu
-----END PGP SIGNATURE-----


-- 
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC